{
    attributes = (
        {
            columnName = "CM_CODE"; 
            externalType = VARCHAR2; 
            name = cmCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CM_DETAIL"; 
            externalType = VARCHAR2; 
            name = cmDetail; 
            valueClassName = NSString; 
            valueType = S; 
            width = 255; 
        }, 
        {
            columnName = "CM_LIB"; 
            externalType = VARCHAR2; 
            name = cmLib; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CM_LIB_COURT"; 
            externalType = VARCHAR2; 
            name = cmLibCourt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CM_NIVEAU"; 
            externalType = NUMBER; 
            name = cmNiveau; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "CM_ORDRE"; 
            externalType = NUMBER; 
            name = cmOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CM_PERE"; 
            externalType = NUMBER; 
            name = cmPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CM_SUPPR"; 
            externalType = VARCHAR2; 
            name = cmSuppr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cmCode, cmDetail, cmLib, cmLibCourt, cmNiveau, cmOrdre, cmPere, cmSuppr); 
    className = "org.cocktail.application.serveur.eof.EOCodeMarche"; 
    classProperties = (
        cmCode, 
        cmDetail, 
        cmLib, 
        cmLibCourt, 
        cmNiveau, 
        cmPere, 
        cmSuppr, 
        codeMarchesFils
    ); 
    externalName = "jefy_marches.CODE_MARCHE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cmCode, 
            cmDetail, 
            cmLib, 
            cmLibCourt, 
            cmNiveau, 
            cmPere, 
            cmSuppr, 
            codeMarchesFils
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOCodeMarche"; 
        "_nameInObjectStore" = "CODE_MARCHE"; 
    }; 
    isReadOnly = Y; 
    name = "ca_CodeMarche"; 
    primaryKeyAttributes = (cmOrdre); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "ca_CodeMarche"; 
            internalInfo = {"_nameInObjectStore" = "ca_CodeMarches"; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cmPere; sourceAttribute = cmOrdre; }); 
            name = codeMarchesFils; 
        }
    ); 
}
